wpa_supplicant and ipw2100

Pedro Ramalhais ramalhais at serrado.net
Fri Sep 23 13:09:12 EDT 2005


Tony Houghton wrote:
> I'm trying to get wpa_supplicant working with the ipw2100 in my Centrino
> laptop. I used wpa_supplicant 0.3.9; ieee80211 1.0.3; ipw2100 1.1.2
> plus the patch to make it compile with the new ieee80211 driver; and
> version 1.3 of the firmware. I've attached my compile-time and run-time
> config files, minus comments for brevity.
> 
> But whatever I try, wpa_supplicant just reports:
> 
> ioctl[IPW_IOCTL_WPA_SUPPLICANT]: Operation not supported

If you compiled ipw2100 with a kernel with wireless extensions >= 18
(since kernel 2.6.13), then you'll have to use -Dwext instead of -Dipw
-- 
Pedro Ramalhais



More information about the HostAP mailing list